﻿#region copyright
//<copyright>
// Copyright(C) 2012 TrackerRealm Corporation
// This file is part of the open source project - Jazz. http://jazz.codeplex.com
// 
// Jazz is open software: you can redistribute it and/or modify it 
// under the terms of the GNU Affero General Public License (AGPL) as published by 
// the Free Software Foundation, version 3 of the License.
// 
// Jazz is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty 
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//  See the GNU Affero General Public License (AGPL) for more details.
// 
// You should have received a copy of the GNU General Public 
// License along with Jazz.  If not, see <http://www.gnu.org/licenses/>.
//
// REMOVAL OF THIS NOTICE IS VIOLATION OF THE COPYRIGHT. 
//</copyright>
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Reflection;
using TrackerRealm.Jazz.Common;

namespace TrackerRealm.Jazz.Client
{
    /// <summary>
    /// 
    /// </summary>
    public class jRuleInfo: jMethodInfo
    {
        internal static jRuleInfo EmptyRule = new jRuleInfo(null, null) { isEmpty = true };
        /// <summary>
        /// 
        /// </summary>
        /// <param name="method"></param>
        /// <param name="jObj"></param>
        internal jRuleInfo(MethodInfo method, jObject jObj)
        :base(method, jObj)
        { 
        }
        /// <summary>
        /// 
        /// </summary>
        public override bool IsRule
        {
            get
            {
                return true;
            }
        }
    }
}
