﻿#region copyright
//<copyright>
// Copyright(C) 2012 TrackerRealm Corporation
// This file is part of the open source project - Jazz. http://jazz.codeplex.com
// 
// Jazz is open software: you can redistribute it and/or modify it 
// under the terms of the GNU Affero General Public License (AGPL) as published by 
// the Free Software Foundation, version 3 of the License.
// 
// Jazz is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty 
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//  See the GNU Affero General Public License (AGPL) for more details.
// 
// You should have received a copy of the GNU General Public 
// License along with Jazz.  If not, see <http://www.gnu.org/licenses/>.
//
// REMOVAL OF THIS NOTICE IS VIOLATION OF THE COPYRIGHT. 
//</copyright>
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Reflection;

namespace TrackerRealm.Jazz.Client
{
    /// <summary>
    /// 
    /// </summary>
    public enum ConfigurationErrorType
    {
        /// <summary>
        /// 
        /// </summary>
        NonSpecific = 1,
        /// <summary>
        /// 
        /// </summary>
        GrantAttributesOnBothPropertyAndAccessors = 2,
        /// <summary>
        /// 
        /// </summary>
        CreateEmptyMethodNeedsToBeStatic = 3,
        /// <summary>
        /// 
        /// </summary>
        JazzAttributeMissing = 4,
        /// <summary>
        /// 
        /// </summary>
        StateMethodNotVoid = 5,
        /// <summary>
        /// 
        /// </summary>
        StateMethodNotPrivate = 6,
        /// <summary>
        /// 
        /// </summary>
        StateAttributeMustbeUsedOnInstanceMethod = 7,
        /// <summary>
        /// 
        /// </summary>
        DuplicateStateAttributesUsed = 8,
        /// <summary>
        /// 
        /// </summary>
        MultipleStartStateAttributesUsed = 9,
        /// <summary>
        /// 
        /// </summary>
        StateToAttributeMustBeUsedOnState = 10,
        /// <summary>
        /// 
        /// </summary>
        StateToViaMethodPropertyDoesNotExist = 11,
        /// <summary>
        /// 
        /// </summary>
        GrantMemberNotPublic = 12,
        /// <summary>
        /// 
        /// </summary>
        GrantMemberStatic = 13,
        /// <summary>
        /// 
        /// </summary>
        RedundantSpecification = 14,
        
    }
}
