﻿#region copyright
//<copyright>
// Copyright(C) 2012 TrackerRealm Corporation
// This file is part of the open source project - Jazz. http://jazz.codeplex.com
// 
// Jazz is open software: you can redistribute it and/or modify it 
// under the terms of the GNU Affero General Public License (AGPL) as published by 
// the Free Software Foundation, version 3 of the License.
// 
// Jazz is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty 
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//  See the GNU Affero General Public License (AGPL) for more details.
// 
// You should have received a copy of the GNU General Public 
// License along with Jazz.  If not, see <http://www.gnu.org/licenses/>.
//
// REMOVAL OF THIS NOTICE IS VIOLATION OF THE COPYRIGHT. 
//</copyright>
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TrackerRealm.Jazz.Common
{
    /// <summary>
    /// 
    /// </summary>
    public class JazzConstants
    {
        /// <summary>
        /// 
        /// </summary>
        public const string CURRENTSTATE = "CurrentState";
        /// <summary>
        /// 
        /// </summary>
        public const string PREVIOUSSTATE = "PreviousState";
        /// <summary>
        /// 
        /// </summary>
        public const string EMPTY = "Empty";
        /// <summary>
        /// 
        /// </summary>
        public const string PUBLIC = "Public";
        /// <summary>
        /// 
        /// </summary>
        public const string DEFAULT = "default";
        /// <summary>
        /// 
        /// </summary>
        public const string WORKSPACE_PUBLIC = JazzConstants.PUBLIC;
        /// <summary>
        /// 
        /// </summary>
        public const string WORKSPACE_EMPTY = JazzConstants.EMPTY;
        /// <summary>
        /// 
        /// </summary>
        public const string DEFAULTSERVER = "defaultServer";
        /// <summary>
        /// Returns the string 'default' used to specify the name of the default 'profile' for a user.
        /// </summary>
        public const string PERSONA_DEFAULT = JazzConstants.DEFAULT;
        /// <summary>
        /// Returns the string 'Guest' used to specify the name of the default user.
        /// </summary>
        public const string GUEST = "Guest";

    }
    /// <summary>
    /// 
    /// </summary>
    public class Constants_JazzObjectFields
    {
        /// <summary>
        /// 
        /// </summary>
        public const string JAZZCLASS = "jazzClass";
        /// <summary>
        /// 
        /// </summary>
        public const string CLIENTNEXUS = "clientNexus";
        /// <summary>
        /// 
        /// </summary>
        public const string CURRENTSTATE = "currentState";
        /// <summary>
        /// 
        /// </summary>
        public const string PREVIOUSSTATE = "previousState";
        /// <summary>
        /// 
        /// </summary>
        public const string FLAGS = "flags";
        /// <summary>
        /// 
        /// </summary>
        public const string STATUS = "status";
        /// <summary>
        /// 
        /// </summary>
        public const string TIMESTAMP = "timeStamp";
        /// <summary>
        /// 
        /// </summary>
        public const string STORAGESTATUS = "storageStatus";
        /// <summary>
        /// 
        /// </summary>
        public const string WORKSPACE = "workspace";
        /// <summary>
        /// 
        /// </summary>
        public const string NAME = "name";
        /// <summary>
        /// 
        /// </summary>
        public const string ID = "id";
        /// <summary>
        /// Only available in '<see cref="jProfileBase"/>'.
        /// </summary>
        public const string ROLES = "roles";
    }
}
